Subject: Re: bug#77666: Question/discussion about `trusted-content'

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Apr 2025 12:05:39 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 15 Apr 2025 19:06:59 -0500
> Cc: [email-masked], [email-masked]
> 
> More practically, should the docstring of `file-truename` mention that
> this is the same as the "real" file name on GNU/Linux?  I think that
> could help some users.  We could also add an index entry to the info
> manual.  Eli, WDYT?

I have nothing against mentioning 'realpath' in the doc string, if
that helps.  But note that file-truename is not an exact equivalent of
'realpath' in some marginal cases, even on Posix systems, for
arguments such as "~/foo" or an empty string.  So if we mention
'realpath', we should qualify that in some way.